Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/redmine/controllers/*.rb'].each {|file| require_dependency file }
Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/redmine/helpers/*.rb'].each {|file| require_dependency file }
Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/redmine/models/*.rb'].each {|file| require_dependency file }
Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/redmine/others/*.rb'].each {|file| require_dependency file }
Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/easy_extensions/easy_rakes/models/*.rb'].each {|file| require_dependency file }

ActionDispatch::Reloader.to_prepare do

  Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/field_formats/*.rb'].each {|file| require_dependency file }
  Dir[File.dirname(__FILE__) + '/lib/easy_computed_custom_fields/computed_token_symbols/*.rb'].each {|file| require_dependency file }

  EasyComputedCustomFields::FieldFormats::EasyComputedToken.register_symbols(
    EasyComputedCustomFields::EasyCustomFieldTokenSymbol.new,
    EasyComputedCustomFields::EasyIssueTokenSymbol.new,
    EasyComputedCustomFields::EasyProjectTokenSymbol.new,
    EasyComputedCustomFields::EasyTrackerTokenSymbol.new,
    EasyComputedCustomFields::EasyVersionTokenSymbol.new,
    EasyComputedCustomFields::EasyDocumentTokenSymbol.new,
    EasyComputedCustomFields::EasyUserTokenSymbol.new,
    EasyComputedCustomFields::EasyNestedSetTokenSymbol.new('Issue'),
    EasyComputedCustomFields::EasyTimeEntryTokenSymbol.new
  )

  require 'easy_computed_custom_fields/hooks'

end
